Orders

Positions

GET
/api/oms/positions

to get a list of positions records

MTM Calculations:

  • Realized: realizedPnl
  • UnRealized: ( netQty * ( LTP - netAvgPrice)) * multiplier * pricefactor
  • Total MTM: Realized + UnRealized

P&L Calculations:

  • Realized: realizedOrgPnl
  • UnRealized: ( netQty * ( LTP - netOrgAvgPrice)) * multiplier * pricefactor
  • Total P&L: Realized + UnRealized

Day Positions - MTM Calculations:

  • Realized: dayRealizedPnl
  • UnRealized: ( dayQty * ( LTP - dayAvg)) * multiplier * pricefactor
  • Total Day MTM: Realized + UnRealized

Note:

  • For the commodity (MCX), the net quantity should be multiplied by the lot size in the above calculations.
  • The LTP mentioned above should be retrieved from real-time updates via the streaming SDK

Query Parameters

symDetails?boolean

Sending symDetails:'true' - will provide the symbol object in response for every record. Symbol object contains details such as price-tick, lotsize, token etc..,

Header Parameters

Authorization*string

Access token in the following format:

Bearer <api_key>:<access_token>

Both values are required. The api_key is your app credential from the Apps Section. The access_token is obtained from the authentication endpoint and is valid for 24 hours.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/oms/positions" \  -H "Authorization: Bearer <api Key>:<access token>"
{
  "s": "ok",
  "d": [
    {
      "symId": "EQT_RELIANCE_EQ_NSE",
      "product": "mis",
      "buyQty": 10,
      "buyAvgPrice": 2450.75,
      "sellQty": 5,
      "sellAvgPrice": 2475.65,
      "netQty": 5,
      "netAvgPrice": 2450.75,
      "realizedPnl": 124.5
    }
  ]
}
{
  "s": "error",
  "msg": "Unauthorized"
}
{
  "s": "error",
  "msg": "Too many requests"
}
{
  "s": "error",
  "msg": "Internal server error"
}